Add or Update Loan Contacts
curl --request PUT \
--url https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/loan-contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "1234567890",
"role": "Loan Officer"
}
]
'import requests
url = "https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/loan-contacts"
payload = [
{
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "1234567890",
"role": "Loan Officer"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
email: 'john.doe@example.com',
firstName: 'John',
lastName: 'Doe',
phone: '1234567890',
role: 'Loan Officer'
}
])
};
fetch('https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/loan-contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoint Examples
Update Loan Contacts
Add or update the loan contacts for a loan application
PUT
/
v1
/
loans
/
{id}
/
loan-contacts
Add or Update Loan Contacts
Authorizations
JWT Token
Path Parameters
The unique identifier of the loan application
Example:
"693f2f46-69ff-4f20-a4d9-abe982d34fd4"
Body
application/jsonmultipart/form-datatext/plain
The email of the loan officer
Example:
"john.doe@example.com"
The first name of the loan officer
Example:
"John"
The last name of the loan officer
Example:
"Doe"
The phone number of the loan officer
Example:
"1234567890"
The role of the loan contact
Example:
"Loan Officer"
Response
204
No Content
Was this page helpful?
⌘I